AllTestSuite (Groovy 5.0.6)

Package: groovy.test

## [Java] Class AllTestSuite

- groovy.test.AllTestSuite

-     public class AllTestSuite
      extends TestSuite

  AllTestSuite can be used in extension of GroovyTestSuite to execute TestCases written in Groovy from inside a Java IDE. AllTestSuite collects all files below a given directory that comply to a given pattern. From these files, a TestSuite is constructed that can be run via an IDE graphical Test runner. The files are assumed to be Groovy source files and be either a TestCase or a Script that can be wrapped transparently into a TestCase. The directory and the pattern can be set via System properties (see this classes' constants for details.)

  When setting the log level of this class to FINEST, all file loading will be logged.

  See also groovy.test.AllTestSuiteTest.groovy

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `SYSPROP_TEST_DIR` | The System Property to set as base directory for collection of Test Cases.
    `static String` | `SYSPROP_TEST_EXCLUDES_PATTERN` | The System Property to set as a filename excludes pattern for collection of Test Cases.
    `static String` | `SYSPROP_TEST_PATTERN` | The System Property to set as the filename pattern for collection of Test Cases.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Class` | `compile(String filename)`
    `` | `protected void` | `loadTest(String filename)`
    `` | `public static Test` | `suite()`
    `` | `public static Test` | `suite(String basedir, String pattern)`
    `` | `public static Test` | `suite(String basedir, String pattern, String excludesPattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TestSuite` | `addTest, addTestSuite, countTestCases, createTest, equals, getClass, getName, getTestConstructor, hashCode, notify, notifyAll, run, runTest, setName, testAt, testCount, tests, toString, wait, wait, wait, warning`

- - ### Field Detail

    - #### public static final String SYSPROP_TEST_DIR

      The System Property to set as base directory for collection of Test Cases. The pattern will be used as an Ant fileset include basedir. Key is "groovy.test.dir". Default value is "./test/".

    - #### public static final String SYSPROP_TEST_EXCLUDES_PATTERN

      The System Property to set as a filename excludes pattern for collection of Test Cases. When non-empty, the pattern will be used as Regular Expression pattern applied with the find operator against each candidate file.path. Key is "groovy.test.excludesPattern". Default value is "".

    - #### public static final String SYSPROP_TEST_PATTERN

      The System Property to set as the filename pattern for collection of Test Cases. The pattern will be used as Regular Expression pattern applied with the find operator against each candidate file.path. Key is "groovy.test.pattern". Default value is "Test.groovy".

  - ### Method Detail

    - #### protected Class compile(String filename)

    - #### @SuppressWarnings("unchecked")
      protected void loadTest(String filename)

    - #### public static Test suite()

    - #### public static Test suite(String basedir, String pattern)

    - #### public static Test suite(String basedir, String pattern, String excludesPattern)